gnutls_anti_replay_init(3)

NAME
gnutls_anti_replay_init - API function

SYNOPSIS
#include <gnutls/gnutls.h>

int gnutls_anti_replay_init(gnutls_anti_replay_t * anti_replay);

ARGUMENTS

gnutls_anti_replay_t * anti_replay
    is a pointer to gnutls_anti_replay_t type

DESCRIPTION
This function will allocate and initialize the anti_replay context to be usable for detect replay attacks. The context can then be attached to a gnutls_session_t with gnutls_anti_replay_enable().

RETURNS
Zero or a negative error code on error.

SINCE
3.6.5

REPORTING BUGS
Report bugs to <bugs@gnutls.org>.
Home page: https://www.gnutls.org

COPYRIGHT
Copyright © 2001-2023 Free Software Foundation, Inc., and others.
Copying and distribution of this file, with or without modification, are permitted in any medium without royalty provided the copyright notice and this notice are preserved.

SEE ALSO
The full documentation for gnutls is maintained as a Texinfo manual. If the /usr/share/doc/gnutls/ directory does not contain the HTML form visit

https://www.gnutls.org/manual/